Summary: The getty and uugetty programs.
Name: getty_ps
Version: 2.0.7j
Copyright: Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
Release: 11mdk
Group: System/Base
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/getty_ps-2.0.7j.tar.bz2
Patch0: getty_ps-2.0.7j-make.patch.bz2
Patch1: getty_ps-2.0.7h-jpm.patch.bz2
Patch2: getty_ps-2.0.7h-pipe.patch.bz2
Patch3: getty_ps-2.0.7j-glibc.patch.bz2
Patch4: getty_ps-2.0.7j-signal.patch.bz2
Patch5: getty_ps-2.0.7j-6.0.patch.bz2
Buildroot: /var/tmp/getty_ps-root

%description
The getty_ps package contains the getty and uugetty programs, basic
programs for accomplishing the login process on a Linux Mandrake system.
Getty and uugetty are used to accept logins on the console or a terminal.
Getty is invoked by the init process to open tty lines and set their modes,
to print the login prompt and get the user's name, and to initiate a login
process for the user.  Uugetty works just like getty, except that uugetty
creates and uses lock files to prevent two or more processes from
conflicting in their use of a tty line.  Getty and uugetty can also handle
answer a modem for dialup connections, but mgetty is recommended for that
purpose.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin \
	$RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man5 \
	$RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/var/log

%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .jpm
%patch2 -p1 -b .pipe
%patch3 -p1 -b .noglibc
%patch4 -p1 -b .signal
%patch5 -p1 -b .6.0

%build
make clean
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make

%install
TOPDIR=$RPM_BUILD_ROOT make install

install -m 644 Examples/gettydefs.high-speed $RPM_BUILD_ROOT/etc/gettydefs

( cd $RPM_BUILD_ROOT
  chmod 755 ./sbin/getty ./sbin/uugetty
  cd usr/man/man1 && ln getty.1 uugetty.1
  #touch ./var/log/getty.log
)

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ $1 = 0 ]; then
  rm -f /var/log/getty.log
fi

%files
%defattr(-,root,root)
%doc Examples ANNOUNCE README.linux README.2.0.7j README.hi-speed
%config /etc/gettydefs
/sbin/getty
/sbin/uugetty
/usr/man/man1/*
/usr/man/man5/gettydefs.5.bz2
#%ghost /var/log/getty.log

%changelog

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0.7j-11mdk

- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 2.0.7j-10mdk

- Changed group to match those of 7.1
- Minor spec file changes
- Let spec helper do its job
- Use links, not symlinks

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.


* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch from RedHat 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name, ran thru system

* Thu Dec 17 1998 Michael Maher <mike@redhat.com> 
- rebuilt for 6.0 
- added patch to remove STRDUP

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- rebuilt to include doco.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 26 1997 Erik Troan <ewt@redhat.com>
- Ported to glibc (I don't know where the last glibc package came from)
- Rebuilt because it was last built against some broken SPARC headers. 
